Get record inbox details
curl --request GET \
--url https://api.dualentry.com/public/v2/inbox/records/{record_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/inbox/records/{record_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/inbox/records/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/inbox/records/{record_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/inbox/records/{record_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/inbox/records/{record_id}/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/inbox/records/{record_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"record_type": "<string>",
"name": "<string>",
"approval_status": "<string>",
"approver": "<string>",
"workflow_id": 123,
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_info": {
"workflow_name": "<string>",
"workflow_version": 123,
"step_name": "<string>",
"current_substep": 123,
"substeps": [
{
"order": 123,
"status": "completed",
"approve_condition": "any",
"approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"approved_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"rejected_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
]
}
]
},
"state_id": 123,
"initiator_id": 123,
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
}
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Inbox
Get record inbox details
Retrieve approval details for a specific non-monetary record. Returns empty dict if not in inbox.
GET
/
public
/
v2
/
inbox
/
records
/
{record_id}
/
Get record inbox details
curl --request GET \
--url https://api.dualentry.com/public/v2/inbox/records/{record_id}/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v2/inbox/records/{record_id}/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v2/inbox/records/{record_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.dualentry.com/public/v2/inbox/records/{record_id}/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.dualentry.com/public/v2/inbox/records/{record_id}/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.dualentry.com/public/v2/inbox/records/{record_id}/")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.dualentry.com/public/v2/inbox/records/{record_id}/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"record_type": "<string>",
"name": "<string>",
"approval_status": "<string>",
"approver": "<string>",
"workflow_id": 123,
"record_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"approval_info": {
"workflow_name": "<string>",
"workflow_version": 123,
"step_name": "<string>",
"current_substep": 123,
"substeps": [
{
"order": 123,
"status": "completed",
"approve_condition": "any",
"approvers": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"approved_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
],
"rejected_by": [
{
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>"
}
]
}
]
},
"state_id": 123,
"initiator_id": 123,
"rejected_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>",
"full_name": "<string>",
"rejection_reason": "<string>"
}
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}{
"errors": {},
"success": false,
"error_code": "<string>",
"error_reason": "<string>"
}Authorizations
Path Parameters
Query Parameters
Response
OK
- PublicRecordInboxSchemaOut
- Response
Schema for non-monetary records in the inbox (customers, vendors).
Schema for complete approval workflow information.
Show child attributes
Show child attributes
Schema for rejector information including rejection reason.
Show child attributes
Show child attributes
Last modified on October 8, 2026
Was this page helpful?